<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

if (Module::isInstalled('aq_meatzoneselector') && Module::isEnabled('aq_meatzoneselector')) {
    if (file_exists(_PS_MODULE_DIR_ . 'aq_meatzoneselector/classes/ZonesProducts.ph')) {
        require_once _PS_MODULE_DIR_ . 'aq_meatzoneselector/classes/ZonesProducts.php';
    }
    if (file_exists(_PS_MODULE_DIR_ . 'aq_meatzoneselector/classes/Zones.ph')) {
        require_once _PS_MODULE_DIR_ . 'aq_meatzoneselector/classes/Zones.php';
    }
    if (file_exists(_PS_MODULE_DIR_ . 'aq_meatzoneselector/classes/ZonesCategories.ph')) {
        require_once _PS_MODULE_DIR_ . 'aq_meatzoneselector/classes/ZonesCategories.php';
    }

    class PrestAppAqMeatZoneSelectorCustomizationController
    {
        protected $aq_meatzoneselector;

        public function __construct()
        {
            $this->aq_meatzoneselector = Module::getInstanceByName('aq_meatzoneselector');
        }

        public function getProductZone($id_product, $context)
        {
            if (!$this->aq_meatzoneselector->active) {
                return false;
            }

            $product = new Product($id_product);

            $objects = ZonesProducts::getZonesByProductId((int)$product->id);
            $to_return = [];

            if ($objects) {
                foreach ($objects as $object) {
                    $zone_product = new ZonesProducts($object['id_zone_product']);
                    if ($zone_product) {
                        $category = DB::getInstance()->executeS('SELECT id_zone_category FROM '._DB_PREFIX_.'_aq_meatzoneselector_category WHERE id_category =' . $product->id_category_default);
                        foreach ($category as $c) {
                            $id_zone = DB::getInstance()->executeS('SELECT * FROM '._DB_PREFIX_.'_aq_meatzoneselector WHERE id_zone_category =' . $c['id_zone_category'] . ' AND id_zone = ' . $zone_product->id_zone);
                        }
                        foreach ($id_zone as $id) {
                            $zones = Zones::getZones((int)$id['id_zone'], (int)$id['id_zone_category']);
                        }
                        if ($zones) {
                            foreach ($zones as $zone) {
                                $category = DB::getInstance()->executeS('SELECT id_zone_category FROM '._DB_PREFIX_.'_aq_meatzoneselector_category WHERE id_category =' . $product->id_category_default);
                                foreach ($category as $c) {
                                    $zone_category = new ZonesCategories($c['id_zone_category']);
                                }

                                if ($zone_category) {
                                    $main_img = _PS_BASE_URL_ . '/modules/aq_meatzoneselector/img/' . $zone_category->image_zone;
                                    $selector_img = _PS_BASE_URL_ . '/modules/aq_meatzoneselector/img/icon/scrubber-regular.svg';

                                    $ret = array(
                                        'top' => $zone['top_property'],
                                        'left' => $zone['left_property']
                                    );
                                }
                            }

                            $mz_table = array();

                            $mz_table[] = $ret;
                        }
                    }
                }

                if ($mz_table && count($mz_table)) {
                    $to_return['zones'] = $mz_table;
                    $to_return['main_img'] = $main_img;
                    $to_return['selector_img'] = $selector_img;
                } else {
                }
            } else {
            }

            if (isset($product->preparation_method) && $product->preparation_method) {
                if (isset($product->preparation_method[$context->language->id]) && $product->preparation_method[$context->language->id]) {
                    $to_return['preparation_method'] = $product->preparation_method[$context->language->id];
                }
            }

            return $to_return;
        }
    }
}
