<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

if (Module::isInstalled('aq_productrecipes') && Module::isEnabled('aq_productrecipes')) {
    class PrestAppAqProductrecipesCustomizationController
    {
        protected $aq_productrecipes;

        public function __construct()
        {
            $this->aq_productrecipes = Module::getInstanceByName('aq_productrecipes');
        }

        public function getProductRecipes($id_product, $context)
        {
            if (!$this->aq_productrecipes->active) {
                return false;
            }

            $recipes = [];
            $return = [];

            $product = new Product($id_product);

            if (!Validate::isLoadedObject($product)) {
                return false;
            }

            $featured_recipe_id = Db::getInstance()->executeS('SELECT *
            FROM `' . _DB_PREFIX_ . 'product_lang` r
            WHERE r.`id_product` =' .  $product->id);

            if (isset($featured_recipe_id) && count($featured_recipe_id)) {
                foreach ($featured_recipe_id as $recipe_id) {
                    $recipes =  DB::getInstance()->executeS('
                            SELECT r.`recipe_title`, r.`recipe_description`, r.`recipe_ingredients`
                            FROM `' . _DB_PREFIX_ . 'aq_productrecipes` r
                            WHERE r.`id_recipe` =' . $recipe_id['featured_recipe']);
                }

                if ($recipes && count($recipes)) {
                    return $recipes;
                } else {
                    return false;
                }
            } else {
                return false;
            }
        }
    }
}
