<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

class PrestAppCustomizationController
{
    public static function checkModuleAvailability($moduleName)
    {
        $app_build = isset($GLOBALS['app_build']) ? $GLOBALS['app_build'] : null;
        $available_modules = isset($GLOBALS['available_modules']) ? $GLOBALS['available_modules'] : null;

        if (isset($app_build) && (int) $app_build >= 20000008) {
            $module_array = isset($available_modules) ? explode(',', $available_modules) : [];

            if ($moduleName == 'allinone_rewards') {
                if (array_search('all_in_one_rewards', $module_array) === false) {
                    return false;
                }
            } elseif ($moduleName == 'ndk_steppingpack') {
                if (array_search('ndksteppingpack', $module_array) === false) {
                    return false;
                }
            } else {
                if (array_search($moduleName, $module_array) === false) {
                    return false;
                }
            }
        }

        if (Module::isInstalled($moduleName) && Module::isEnabled($moduleName)) {
            return true;
        } else {
            return false;
        }

        return true;
    }
}
