<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

if (Module::isInstalled('prestadrive') && Module::isEnabled('prestadrive')) {
    class PrestAppPrestadriveCustomizationController
    {
        protected $prestadrive;

        public function __construct()
        {
            $this->prestadrive = Module::getInstanceByName('prestadrive');
        }

        public function getData($context)
        {
            return $this->prestadrive->getData();
        }

        public function isEnabledForCarrier($carrier_id)
        {
            $selectyourcarrier = Db::getInstance()->getRow('SELECT data_value FROM ' . _DB_PREFIX_ . 'prestadrive_data WHERE data_name = "selectedcarrier"');
            if (preg_match('#,' . $carrier_id . ',#', $selectyourcarrier['data_value'])) {
                return true;
            } else {
                return false;
            }
        }

        public function getCartValues($id_cart)
        {
            $cart_values = Db::getInstance()->getRow('SELECT * FROM ' . _DB_PREFIX_ . 'prestadrive_order WHERE id_prestashop_cart = ' . $id_cart . '');
            if ($cart_values) {
                return $cart_values;
            } else {
                return false;
            }
        }

        public function validate($carrier_id, $product_id, $tokendrive, $timeselect, $dateday, $date, $context)
        {
            setlocale(LC_TIME, "fr_FR");
            $day = Tools::ucfirst(strftime("%A, %d-%m-%Y", strtotime($date)));
            $datadrive = 'timeselect='. trim($timeselect).'dateselect='.$day.'mycarrier='.trim($carrier_id);
            return require_once(_PS_MODULE_DIR_. 'prestadrive/views/templates/front/frontpostdrive.php');
        }

        public static function getOrder($id_order)
        {
            $sql = 'SELECT id_prestashop_order, id_deliverer, delivered FROM '._DB_PREFIX_.'prestadrive_order AS po
            INNER JOIN '._DB_PREFIX_.'orders as o ON (o.id_order = po.id_prestashop_order AND o.current_state = 5)  
            WHERE po.id_prestashop_order = '. $id_order .'';
            $result = Db::getInstance()->getRow($sql);
            return $result;
        }

        public static function getDelivererCoordinates($id_deliverer)
        {
            $sql = 'SELECT lat, lng, date_add FROM '._DB_PREFIX_.'pdlg_livreurs_coordinates AS plc
            WHERE plc.id_employee = '. $id_deliverer .' ORDER BY date_add DESC';
            $result = Db::getInstance()->getRow($sql);
            return $result;
        }
    }
}
