<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

if (Module::isInstalled('registrationfields') && Module::isEnabled('registrationfields')) {
    class PrestAppRegistrationfieldsCustomizationController
    {
        protected $registrationfields;

        public function __construct()
        {
            $this->registrationfields = Module::getInstanceByName('registrationfields');
        }

        public function getRegisterInputs($context)
        {
            $id_lang = $context->language->id;
            $objModel = new Fields();
            $registration_fields = $objModel->getCustomFields($id_lang);

            foreach ($registration_fields as $key => $sf) {
                $registration_fields[$key]['options'] = $objModel->getCustomFieldsValues(
                    $sf['id_fmm_registration_fields']
                );
            }

            return array(
                'fields' => $registration_fields
            );
        }

        public function getInfosInputs($context)
        {
            $id_lang = $context->language->id;
            $objModel = new Fields();
            $registration_fields = $objModel->getCustomFields($id_lang);
            $id_customer = $context->customer->id;

            foreach ($registration_fields as $key => $sf) {
                $registration_fields[$key]['options'] = $objModel->getCustomFieldsValues(
                    $sf['id_fmm_registration_fields']
                );
            }

            $field = new Fields();
            $fields = $field->getAllFields(
                (($id_customer) ? 'val.id_customer = ' .
                (int) $id_customer : 'val.id_guest = ' . (int) 0),
                $id_lang,
                'a.position'
            );

            if (isset($fields) && $fields) {
                foreach ($fields as &$field) {
                    if (in_array(
                        $field['field_type'],
                        array('multiselect', 'radio', 'checkbox')
                    ) && $field['field_value_id']) {
                        $field['field_value'] = explode(',', $field['field_value_id']);
                    } elseif (in_array(
                        $field['field_type'],
                        array('message', 'select')
                    ) && $field['field_value_id']) {
                        $field['field_value'] = $field['field_value_id'];
                    }
                }
            }

            foreach ($registration_fields as $key => $sf) {
                foreach ($fields as $key2 => $sf2) {
                    if ($registration_fields[$key]['id_fmm_registration_fields'] == $fields[$key2]['id_fmm_registration_fields']) {
                        $registration_fields[$key]['value'] = $fields[$key2]['value'];
                        $registration_fields[$key]['field_value'] = $fields[$key2]['field_value'];
                    }
                }
            }

            return array(
                'fields' => $registration_fields
            );
        }
    }
}
