<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

if (Module::isInstalled('verifycustomer') && Module::isEnabled('verifycustomer')) {
    class PrestAppVerifycustomerCustomizationController
    {
        protected $verifycustomer;

        public function __construct()
        {
            $this->verifycustomer = Module::getInstanceByName('verifycustomer');
        }

        public function getGroups($context)
        {
            $verifyCustomerConfigData = Tools::jsonDecode(Configuration::get($this->verifycustomer->name), true);
            if ((bool)$verifyCustomerConfigData['allow_choose_custom_group_to_customer']) {
                $groupsToSelect = array();
                $canUseGroups = false;
                $groups = Group::getGroups($context->language->id, $context->shop->id);
                if (count($groups) > 0 && Group::isFeatureActive()) {
                    foreach ($groups as $key => $value) {
                        if ((int)$value['id_group'] != (int)Configuration::get('PS_UNIDENTIFIED_GROUP') &&
                            (int)$value['id_group'] != (int)Configuration::get('PS_CUSTOMER_GROUP') &&
                            (int)$value['id_group'] != (int)Configuration::get('PS_GUEST_GROUP')) {
                            $canUseGroups = true;
                        }
                    }
                }
                if ($canUseGroups) {
                    if ((int)$verifyCustomerConfigData['allow_choose_custom_group_to_customer'] == 1) {
                        foreach ($verifyCustomerConfigData as $key => $value) {
                            if (Tools::substr($key, 0, 6) == 'group_' && $value == 'on') {
                                $parseKeys = explode("_", $key);
                                $group = new Group((int)$parseKeys[1]);
                                if (Validate::isLoadedObject($group)) {
                                    $groupsToSelect[] = array(
                                        'id_group' => (int)$parseKeys[1],
                                        'name' => $group->name[$context->language->id]
                                    );
                                }
                            }
                        }
                        return array(
                            'groups'=> $groupsToSelect,
                            'configuration' => $verifyCustomerConfigData
                        );
                    } else {
                        return array();
                    }
                } else {
                    return array();
                }
            } else {
                return array();
            }
        }
    }
}
