<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon
 * @copyright Copyright (c) 2017 - 2018 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

if (file_exists(_PS_MODULE_DIR_ . 'polykodeonekeypaymentencours/polykodeonekeypaymentencours.php')) {
    require_once _PS_MODULE_DIR_ . 'polykodeonekeypaymentencours/polykodeonekeypaymentencours.php';

    class PrestAppPolykodeonekeypaymentencoursModuleController
    {
        protected $polykodeonekeypaymentencours;

        public function __construct()
        {
            $this->polykodeonekeypaymentencours = Module::getInstanceByName('polykodeonekeypaymentencours');
        }

        public function displayPayment($context)
        {
            $cart = new Cart($context->cart->id);
            $currency = new Currency((int)($cart->id_currency));

            if (!$this->polykodeonekeypaymentencours->active) {
                return false;
            }

            if (!$this->polykodeonekeypaymentencours->checkCurrency($cart)) {
                return false;
            }

            $id_customer = $cart->id_customer;
            $id_cart = $cart->id;

            $obj_customer = new customer($id_customer);
            $obj_cart = new cart($id_cart);

            // (float)$obj_customer->encours_restant = 898;

            if (!isset($obj_customer->encours_restant)) {
                return false;
            }

            $encours = (float)$obj_customer->encours_restant;
            $total_cart = $obj_cart->getOrderTotal(false);

            unset($obj_customer);
            unset($obj_cart);

            if (($encours <= $total_cart) || ($encours <= 0) || trim($encours) == '') {
                return false;
            }

            $context->smarty->assign(array('encours_restant' => $encours));

            return array(
                'encours' => $encours . ' ' . $currency->symbol,
                'text' => 'Paiement sur encours',
                'additional_information_type' => 'html',
                'additional_information' => $this->polykodeonekeypaymentencours->fetch('module:polykodeonekeypaymentencours/views/templates/front/payment_infos.tpl')
            );
        }

        public function validateOrder($context)
        {
            $cart = $context->cart;

            if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->polykodeonekeypaymentencours->active) {
                return false;
            }

            $authorized = false;
            foreach (Module::getPaymentModules() as $module) {
                if ($module['name'] == 'polykodeonekeypaymentencours') {
                    $authorized = true;
                    break;
                }
            }

            if (!$authorized) {
                return false;
            }

            $customer = new Customer($cart->id_customer);

            if (!Validate::isLoadedObject($customer)) {
                return false;
            }

            $currency = $context->currency;
            $total = (float)$cart->getOrderTotal(true, Cart::BOTH);

            $this->polykodeonekeypaymentencours->validateOrder((int)$cart->id, Configuration::get('PS_OS_ORDER_OUTSTANDING'), $total, $this->polykodeonekeypaymentencours->displayName, null, array(), (int)$currency->id, false, $customer->secure_key);

            $order = new Order($this->polykodeonekeypaymentencours->currentOrder);
            $order->additional_module_information = $this->polykodeonekeypaymentencours->hookDisplayPaymentReturn();

            return $order;
        }
    }
}
