<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/customization/blockwishlist/add', function (Request $request, Response $response) {

    $context = $request->getAttribute('context');
    $id_product = $request->getParam('id_product');
    $id_product_attribute = $request->getParam('id_product_attribute');

    if (PrestAppCustomizationController::checkModuleAvailability('blockwishlist')) {

        $blockwishlist = new PrestAppBlockwishlistCustomizationController();
        $data = $blockwishlist->addProductToWishlist($id_product, $id_product_attribute, $context);
        
        if ($data && $data['status']) {
            $response = sendOk($response, $data);
        } else {
            $response = sendBadRequest($response, array(
                'code' => $data['message']
            ));
        }

    } else {
        $response = sendBadRequest($response, 'ERROR');
    }

    return $response;
});

$app->post('/customization/blockwishlist/remove', function (Request $request, Response $response) {

    $context = $request->getAttribute('context');
    $id_product = $request->getParam('id_product');
    $id_product_attribute = $request->getParam('id_product_attribute');

    if (PrestAppCustomizationController::checkModuleAvailability('blockwishlist')) {

        $blockwishlist = new PrestAppBlockwishlistCustomizationController();
        $data = $blockwishlist->removeProductFromWishlist($id_product, $id_product_attribute, $context);
        
        if ($data && $data['status']) {
            $response = sendOk($response, $data);
        } else {
            $response = sendBadRequest($response, array(
                'code' => $data['message']
            ));
        }

    } else {
        $response = sendBadRequest($response, 'ERROR');
    }

    return $response;
});

$app->get('/customization/blockwishlist/wishlist/[{populate}]', function (Request $request, Response $response) {

    $context = $request->getAttribute('context');
    $populate = $request->getAttribute('populate');

    if (PrestAppCustomizationController::checkModuleAvailability('blockwishlist')) {

        $blockwishlist = new PrestAppBlockwishlistCustomizationController();
        $data = $blockwishlist->getDefaultWishlist($populate, $context);
        
        if ($data && $data['status']) {
            $response = sendOk($response, $data);
        } else {
            $response = sendBadRequest($response, array(
                'code' => $data['message']
            ));
        }

    } else {
        $response = sendBadRequest($response, 'ERROR');
    }

    return $response;
});
