<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * POST /customization/custom-modules
 */
$app->get('/custom-modules', function (Request $request, Response $response) {
    $modules = array();

    $referenced_modules = $request->getParam('referencedModules');

    if ($referenced_modules) {
        $referenced_modules = json_decode($referenced_modules);

        foreach ($referenced_modules as $referenced_module) {
            if (Module::isInstalled($referenced_module) && Module::isEnabled($referenced_module)) {
                array_push($modules, $referenced_module);
            }
        }
    }

    $data = array(
        'modules' => $modules,
    );

    $response = sendOk($response, $data);

    return $response;
});
