<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->get('/customization/freedeliverymanager/infos', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    if (PrestAppCustomizationController::checkModuleAvailability('freedeliverymanager')) {
        $freedeliverymanager = new PrestAppFreedeliverymanagerCustomizationController();
        $data = $freedeliverymanager->getInfos($context);

        if ($data) {
            $response = sendOk($response, $data);
        } else {
            $response = sendBadRequest($response, 'ERROR');
        }
    } else {
        $response = sendBadRequest($response, 'ERROR');
    }

    return $response;
});

$app->post('/customization/freedeliverymanager/change-address', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $id_country = $request->getParam('id_country');
    $id_state = $request->getParam('id_state');
    $zipcode = $request->getParam('zipcode');
    $city = $request->getParam('city');

    if (PrestAppCustomizationController::checkModuleAvailability('freedeliverymanager')) {
        $freedeliverymanager = new PrestAppFreedeliverymanagerCustomizationController();
        $data = $freedeliverymanager->changeAddress($context, $id_country, $id_state, $zipcode, $city);

        if ($data) {
            $response = sendOk($response, $data);
        } else {
            $response = sendBadRequest($response, 'ERROR');
        }
    } else {
        $response = sendBadRequest($response, 'ERROR');
    }

    return $response;
});
