<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * GET /customization/ndksteppingpack/packs
 */
$app->get('/customization/ndksteppingpack/packs', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    if (PrestAppCustomizationController::checkModuleAvailability('ndk_steppingpack')) {
        $ndksteppingpack = new PrestAppNdksteppingpackCustomizationController();
        $packs = $ndksteppingpack->getPacks($context);
        $data = $packs;
        $response = sendOk($response, $data);
    } else {
        $data = 'NOT_FOUND';
        $response = sendNotFound($response, $data);
    }

    return $response;
});

/*
 * GET /customization/ndksteppingpack/pack/:id
 */
$app->get('/customization/ndksteppingpack/pack/{id_pack:[0-9]+}', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $id_pack = $request->getAttribute('id_pack');

    if (PrestAppCustomizationController::checkModuleAvailability('ndk_steppingpack')) {
        $ndksteppingpack = new PrestAppNdksteppingpackCustomizationController();
        $pack_data = $ndksteppingpack->getPackData($id_pack, $context);
        $data = $pack_data;
        $response = sendOk($response, $data);
    } else {
        $data = 'NOT_FOUND';
        $response = sendNotFound($response, $data);
    }

    return $response;
});

/*
 * GET /customization/ndksteppingpack/pack/:id
 */
$app->get('/customization/ndksteppingpack/step/{id_step:[0-9]+}/[{populate}]', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $id_step = $request->getAttribute('id_step');
    $populate = $request->getAttribute('populate');

    if (PrestAppCustomizationController::checkModuleAvailability('ndk_steppingpack')) {
        $ndksteppingpack = new PrestAppNdksteppingpackCustomizationController();
        $step_products = $ndksteppingpack->getStepProducts($id_step, $populate, $context);
        $data = $step_products;
        $response = sendOk($response, $data);
    } else {
        $data = 'NOT_FOUND';
        $response = sendNotFound($response, $data);
    }

    return $response;
});

/*
 * GET /customization/ndksteppingpack/pack/:id
 */
$app->post('/customization/ndksteppingpack/checkcart', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $id_pack = $request->getParam('pack_id');
    $stepsLite = $request->getParam('stepsLite');
    $create_pack = $request->getParam('create_pack');

    if (PrestAppCustomizationController::checkModuleAvailability('ndk_steppingpack')) {
        $ndksteppingpack = new PrestAppNdksteppingpackCustomizationController();
        $check_cart = $ndksteppingpack->checkCart($id_pack, $stepsLite, $create_pack, $context);
        $data = $check_cart;
        $response = sendOk($response, $data);
    } else {
        $data = 'NOT_FOUND';
        $response = sendNotFound($response, $data);
    }

    return $response;
});
