<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * GET /modules/payments/adyenofficial/display
 */
$app->get('/modules/payments/adyenofficial/display', function (Request $request, Response $response) {

    $adyenofficial = new PrestAppAdyenofficialModuleController();
    $context = $request->getAttribute('context');

    $front = $adyenofficial->displayPayment($context);

    $data = array(
        'options' => $front,
        'isMulti' => true,
    );

    $response = sendOk($response, $data);

    return $response;
});

$app->post('/modules/payments/adyenofficial/url', function (Request $request, Response $response) {

    $adyenofficial = new PrestAppAdyenofficialModuleController();
    $context = $request->getAttribute('context');

    $type = $request->getParam('type');
    $name = $request->getParam('name');
    $stored_id = $request->getParam('stored_id');
    $lastFour = $request->getParam('lastFour');
    $brand = $request->getParam('brand');

    $front = $adyenofficial->getPaymentUrl($context, $type, $name, $stored_id, $lastFour, $brand);

    if (!$front) {
        $response = sendNotFound($response, 'NOT_FOUND');
    } else {
        $data = array(
            'data' => $front,
        );
        $response = sendOk($response, $data);
    }

    return $response;
});
