<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * GET /modules/payments/bankwire/display
 */
$app->get('/modules/payments/paypal/display', function (Request $request, Response $response) {
    $paypal = new PrestAppPaypalModuleController();

    $context = $request->getAttribute('context');

    $front = $paypal->displayPayment($context);

    $data = array(
        'data' => $front,
    );

    $response = sendOk($response, $data);

    return $response;
});

/*
 * POST /modules/payments/paypal/validate
 */
$app->post('/modules/payments/paypal/validate', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    $token = $request->getParam('token');
    $payer_id = $request->getParam('PayerID');

    $paypal = new PrestAppPaypalModuleController();

    $order = $paypal->validateOrder($context, $token, $payer_id);

    $data = array(
        'order' => $order,
    );

    $response = sendOk($response, $data);

    return $response;
})->setName('/modules/payments/paypal/validate');

$app->post('/modules/payments/paypal/url', function (Request $request, Response $response) {
    $paypal = new PrestAppPaypalModuleController();
    $context = $request->getAttribute('context');

    $front = $paypal->getPaymentUrl($context);

    if (!$front) {
        $response = sendNotFound($response, 'NOT_FOUND');
    } else {
        $data = array(
            'data' => $front,
        );

        $response = sendOk($response, $data);
    }

    return $response;
});

$app->get('/modules/payments/paypal/approve/{value}', function (Request $request, Response $response) {
    $paypal = new PrestAppPaypalModuleController();
    $context = $request->getAttribute('context');
    $cart_id = $request->getAttribute('value');
    $token = $request->getParam('token');
    $payer_id = $request->getParam('PayerID');

    $front = $paypal->approvePayment($context, $token, $payer_id, $cart_id);

    if (!$front) {
        $data = true;
    } else {
        $data = true;
    }

    $response = sendOk($response, $data);

    return $response;
})->setName('/modules/payments/paypal/approve');

$app->get('/modules/payments/paypal/cancel', function (Request $request, Response $response) {
    $data = array(
        'approved' => false,
    );
    $response = sendOk($response, $data);
    return $response;
})->setName('/modules/payments/paypal/cancel');
