<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * GET /modules/payments/postfinancecheckout/display
 */
$app->get('/modules/payments/postfinancecheckout/display', function (Request $request, Response $response) {
    $postfinancecheckout = new PrestAppPostfinancecheckoutModuleController();
    $context = $request->getAttribute('context');

    if (version_compare(_PS_VERSION_, '1.7', '>=')) {
        $front = $postfinancecheckout->displayPayment($context);
    } else {
        $front = $postfinancecheckout->displayPaymentPs16($context);
    }

    $data = $front;

    $response = sendOk($response, $data);

    return $response;
});

$app->post('/modules/payments/postfinancecheckout/url', function (Request $request, Response $response) {
    $postfinancecheckout = new PrestAppPostfinancecheckoutModuleController();
    $context = $request->getAttribute('context');
    $method_id = $request->getParam('method_id');
    $pfc_device_id = $request->getParam('pfc_device_id');
    $configuration_id = $request->getParam('configuration_id');

    $front = $postfinancecheckout->getUrl($method_id, $pfc_device_id, $configuration_id, $context);

    $data = array(
        'data' => $front,
    );

    $response = sendOk($response, $data);

    return $response;
});


$app->get('/modules/payments/postfinancecheckout/infos', function (Request $request, Response $response) {
    $postfinancecheckout = new PrestAppPostfinancecheckoutModuleController();
    $context = $request->getAttribute('context');

    $front = $postfinancecheckout->getInfos($context);

    $data = $front;

    $response = sendOk($response, $data);

    return $response;
});
