<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon
 * @copyright Copyright (c) 2017 - 2018 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->get('/modules/payments/prelevementsepa/display', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    $prelevementsepa = new PrestAppPrelevementSepaModuleController();

    $front = $prelevementsepa->displayPayment($context);

    $data = array(
        'data' => $front,
    );

    if (!$front) {
        $response = sendBadRequest($response, $data);
    } else {
        $response = sendOk($response, $data);
    }

    return $response;
});

$app->post('/modules/payments/prelevementsepa/validate', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    $prelevementsepa = new PrestAppPrelevementSepaModuleController();

    $order = $prelevementsepa->validateSepaOrder($context);

    $data = array(
        'order' => $order,
    );

    if (!$order) {
        $response = sendBadRequest($response, $data);
    } else {
        $response = sendOk($response, $data);
    }

    return $response;
});

$app->get('/modules/payments/prelevementsepa/mandate', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    $prelevementsepa = new PrestAppPrelevementSepaModuleController();

    $mandate = $prelevementsepa->getMandateData($context);

    $data = $mandate;

    $response = sendOk($response, $data);

    return $response;
});

$app->post('/modules/payments/prelevementsepa/savesepa', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $params = $request->getParams();

    $prelevementsepa = new PrestAppPrelevementSepaModuleController();

    $result = $prelevementsepa->saveSepa($params, $context);

    $data = $result;

    if (!$result) {
        $response = sendBadRequest($response, $data);
    } else {
        $response = sendOk($response, $data);
    }

    return $response;
});

$app->post('/modules/payments/prelevementsepa/send-phone', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $params = $request->getParams();

    $prelevementsepa = new PrestAppPrelevementSepaModuleController();

    $data = false;

    $response = sendBadRequest($response, $data);

    return $response;
});

$app->get('/modules/payments/prelevementsepa/mandate/download', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    $prelevementsepa = new PrestAppPrelevementSepaModuleController();

    $prelevementsepa->downloadMandate($context);
});
