<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * GET /modules/carriers/sonicepro/display
 */
$app->get('/modules/carriers/sonicepro/display', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');

    $sonicepro = new PrestAppSoniceproModuleController();

    $points = $sonicepro->displayCarrier($context);

    $data = array(
        'points' => $points,
    );

    $response = sendOk($response, $data);

    return $response;
});

/*
 * POST /modules/carriers/sonicepro/points
 */
$app->post('/modules/carriers/sonicepro/points', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $params = $request->getParams();

    $sonicepro = new PrestAppSoniceproModuleController();
    $points = $sonicepro->getPoints($context, $params);

    $data = array(
        'points' => $points,
    );

    $response = sendOk($response, $data);

    return $response;
});

/*
 * POST /modules/carriers/sonicepro/save-delivery-point
 */
$app->post('/modules/carriers/sonicepro/save-delivery-point', function (Request $request, Response $response) {
    $params = $request->getParams();

    $sonicepro = new PrestAppSoniceproModuleController();
    $saveDelivery = $sonicepro->saveDeliveryPoint($params);

    $data = array(
        'data' => $saveDelivery,
    );

    if (!$saveDelivery) {
        $response = sendBadRequest($response, $data);
    } else {
        $response = sendOk($response, $data);
    }

    return $response;
});

/*
 * POST /modules/carriers/sonicepro/save-info-commande
 */
$app->post('/modules/carriers/sonicepro/save-info-commande', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $params = $request->getParams();
    $sonicepro = new PrestAppSoniceproModuleController();
    $saveInfo = $sonicepro->saveInfoCommande($params, $context);

    $data = array(
        'data' => $saveInfo,
    );

    if (!$saveInfo) {
        $response = sendBadRequest($response, $data);
    } else {
        $response = sendOk($response, $data);
    }

    return $response;
});
