<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

/*
 * GET /modules/payments/stripe_official/display
 */
$app->get('/modules/payments/stripe_official/display', function (Request $request, Response $response) {
    $stripe = new PrestAppStripeofficialModuleController();
    $context = $request->getAttribute('context');
    $intent_id = $request->getParam('stripe_payment_id');

    $front = $stripe->displayPayment($intent_id, $context);

    $data = array(
        'data' => $front
    );

    $response = sendOk($response, $data);

    return $response;
});

/*
 * POST /modules/payments/stripe_official/validate
 */
$app->post('/modules/payments/stripe_official/validate', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $params = $request->getParams();

    $stripe = new PrestAppStripeofficialModuleController();

    $order = $stripe->validateOrder($params, $context);

    $data = array(
        'order' => $order,
    );

    $response = sendOk($response, $data);

    return $response;
})->setName('/modules/payments/stripe_official/validate');
