<?php
/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;

$app->post('/special-page', function (Request $request, Response $response) {
    $context = $request->getAttribute('context');
    $id_page = $request->getParam('specialPageId');
    $id = $request->getParam('id');
    $page = $request->getParam('page');
    $populate = $request->getParam('populate');
    $filters = $request->getParam('filters');
    $column = $request->getHeaderLine('column');
    $order = $request->getHeaderLine('order');
    $page_type = $request->getParam('page_type');

    if ($id_page == 'prices-drop') {
        $result = PrestAppSpecialController::getPriceDrop($page, $column, $order, $populate, $filters, $context);
        $data = array(
            'id_special' => $id_page,
            'productsNumber' => $result['nbr_products'],
            'products' => $result['products']
        );

        if (isset($result['layer']) && $result['layer']) {
            $data['layer'] = $result['layer'];
            if (isset($result['filter_nbr_products'])) {
                $data['layer']['filters_products_number'] = (int) $result['filter_nbr_products'];
            }
        }

        if (isset($result['sort_orders']) && $result['sort_orders']) {
            $data['sort_orders'] = $result['sort_orders'];
        }

        $response = sendOk($response, $data);
        return $response;
    } elseif ($id_page == 'manufacturer') {
        if ($page_type == 'list') {
            $result = PrestAppSpecialController::getManufacturersList($context);
            $response = sendOk($response, $result);
            return $response;
        } elseif ($page_type == 'products') {
            $result = PrestAppSpecialController::getManufacturerProducts($id, $page, $column, $order, $populate, $filters, $context);
            $response = sendOk($response, $result);
            return $response;
        }
    }

    $data = array();
    $data['message'] = 'There is an error in your request';
    $response = sendBadRequest($response, $data);
    return $response;
});
