/**
 * NOTICE OF LICENSE.
 *
 * This source file is subject to a commercial license from Aquil'App.
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the SARL is strictly forbidden.
 * In order to obtain a license, please contact us: contact@prestapp.eu
 * ...........................................................................
 * INFORMATION SUR LA LICENCE D'UTILISATION
 *
 * L'utilisation de ce fichier source est soumise a une licence commerciale
 * concedee par la societe Aquil'App.
 * Toute utilisation, reproduction, modification ou distribution du present
 * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
 * expressement interdite.
 * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
 * ...........................................................................
 *
 * @author    Maxime Léon <maxime.leon@prestapp.eu>
 * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
 * @license   Commercial license
 * Support by mail  :  contact@prestapp.eu
 */



$(document).ready(function () {

    // AUTOLOG

    $('#submitPrestappInfo').hide();
    $('#submitPrestappAutolog #send-mail-icon').hide();
    $('#employee_other_input').hide();

    if (!$('#prestappCgu').is(':checked')) {
        $('button#submitPrestappAutolog').prop('disabled', true);
    }

    function checkSubmitMailOk()
    {

        prestappCgu = $('#prestappCgu');
        const employeeValue = $('select#submitPrestappEmployee').val();
        let isOk = false;

        if (employeeValue != 'other') {
            isOk = true;
        } else {
            const employeeValueInputEmail = $('#employee_other_input_email').val();
            const employeeValueInputFirstname = $('#employee_other_input_firstname').val();
            const employeeValueInputlastname = $('#employee_other_input_lastname').val();
            if (employeeValueInputEmail && employeeValueInputFirstname && employeeValueInputlastname) {
                isOk = true;
            } else {
                isOk = false;
            }
        }

        if (prestappCgu.attr('checked') && isOk) {
            $('button#submitPrestappAutolog').prop('disabled', false);
        } else {
            $('button#submitPrestappAutolog').prop('disabled', true);
        }
    }

    $('#prestappCgu').change(function () {
        checkSubmitMailOk();
    });

    $('#submitPrestappGdprLanguage').on('change', function () {
        const value = $('input[name="gdpr_language[' + $(this).val() + ']"]').val();
        $('#PRESTAPP_CUSTOM_GDPR_TEXT').val(value);
    });

    $('#PRESTAPP_CUSTOM_GDPR_TEXT').on('keyup', function () {
        const selectedLanguage = $('#submitPrestappGdprLanguage').val();
        $('input[name="gdpr_language[' + selectedLanguage + ']"]').val($('#PRESTAPP_CUSTOM_GDPR_TEXT').val())
        generateGdprLanguages();
    });

    function generateGdprLanguages()
    {
        const values = [];
        $('input[name^="gdpr_language').each(function () {
            values.push({
                id_lang: $(this).index(),
                value: $(this).val()
            });
        });
        $('input[name="gdpr_full_languages"]').val(JSON.stringify(values));
    }

    $('#submitPrestappEmployee').change(function () {
        const value = $('select#submitPrestappEmployee').val();

        if (value == 'other') {
            $('#employee_other_input').show();
        } else {
            $('#employee_other_input').hide();
        }

        checkSubmitMailOk();
    });

    $('#employee_other_input_email, #employee_other_input_firstname, #employee_other_input_lastname').keyup(function () {
        checkSubmitMailOk();
    });

    $('button[name="submitPrestappAutolog"]').click(function () {

        $('#submitPrestappInfo').hide();
        $('#submitPrestappInfo').removeClass('alert-info alert-danger alert-success alert-warning');
        $('#submitPrestappAutolog #send-mail-text').hide();
        $('#submitPrestappAutolog #send-mail-icon').show();
        $('#submitPrestappAutolog').prop('disabled', true);

        const apiKey = $('input#prestapp-api-key').val();

        let employee;
        let employeeData;
        const employeeValue = $('select#submitPrestappEmployee').val();
        if (employeeValue != 'other') {
            employee = $('select#submitPrestappEmployee').val();
        } else {
            const employeeValueInputEmail = $('#employee_other_input_email').val();
            const employeeValueInputFirstname = $('#employee_other_input_firstname').val();
            const employeeValueInputlastname = $('#employee_other_input_lastname').val();
            employeeData = {
                email: employeeValueInputEmail,
                firstname: employeeValueInputFirstname,
                lastname: employeeValueInputlastname
            }
        }

        params = {
            employee: employee,
            employeeData: employeeData
        };

        $.ajax({
            url: '/modules/prestapp/api/admin/account-access',
            data: params,
            beforeSend: function (request) {
                request.setRequestHeader("Authorization", apiKey);
            },
            success: function (data) {
                if (data && data.data && data.data.code) {
                    if (data.data.code == 'CREATED') {
                        $('#submitPrestappInfo').addClass('alert-success');
                        $('#submitPrestappInfo').text(lang.ok);
                    } else if (data.data.code == 'EXISTS') {
                        $('#submitPrestappInfo').addClass('alert-success');
                        $('#submitPrestappInfo').text(lang.exists);
                    } else {
                        if (data.data.code.code && data.data.code.code == 'MISSING') {
                            $('#submitPrestappInfo').addClass('alert-warning');
                            const missing = [];
                            data.data.code.missing.forEach(function (element) {
                                missing.push(lang[element]);
                            });
                            $('#submitPrestappInfo').html("<p>" + lang.missing + ' :<br>' + missing + "</p>");
                        } else {
                            $('#submitPrestappInfo').addClass('alert-danger');
                            $('#submitPrestappInfo').text(lang.error);
                        }
                    }
                } else {
                    $('#submitPrestappInfo').addClass('alert-danger');
                    $('#submitPrestappInfo').text(lang.error);
                }


                $('#submitPrestappInfo').show();
                $('#submitPrestappAutolog #send-mail-text').show();
                $('#submitPrestappAutolog #send-mail-icon').hide();
                $('#submitPrestappAutolog').prop('disabled', false);
            },
            error: function () {
                $('#submitPrestappInfo').addClass('alert-danger');
                $('#submitPrestappInfo').text(lang.error);
                $('#submitPrestappInfo').show();
                $('#submitPrestappAutolog #send-mail-text').show();
                $('#submitPrestappAutolog #send-mail-icon').hide();
                $('#submitPrestappAutolog').prop('disabled', false);
            }
        });
    });

    // GDPR

    if ($('#PRESTAPP_CUSTOM_GDPR').val() === "1") {
        $('#PRESTAPP_CUSTOM_GDPR').attr("checked", true);
        $('#INPUT_TEXT_GDPR').show();
    } else {
        $('#PRESTAPP_CUSTOM_GDPR').prop("checked", false);
        $('#INPUT_TEXT_GDPR').hide();
    }
    $('#PRESTAPP_CUSTOM_GDPR').click(function () {
        if ($('#PRESTAPP_CUSTOM_GDPR').is(":checked")) {
            $('#PRESTAPP_CUSTOM_GDPR').attr("value", "1");
            $('#INPUT_TEXT_GDPR').show();
        } else {
            $('#PRESTAPP_CUSTOM_GDPR').attr("value", "0");
            $('#INPUT_TEXT_GDPR').hide();
        }
    });

    $('#custom_form').submit(function (e) {
        if ($.trim($("#PRESTAPP_CUSTOM_GDPR_TEXT").val()).length === 0 && $('#PRESTAPP_CUSTOM_GDPR').is(":checked")) {
            alert('Vous avez coché la case GDPR mais aucun texte n\'est présent. Veuillez insérer du texte dans la zone prévue à cet effet.');
            e.preventDefault();
        }
    });

    // APP PROMOTION

    if ($('#PRESTAPP_CUSTOM_APP_PROMOTION').val() === "1") {
        $('#PRESTAPP_CUSTOM_APP_PROMOTION').attr("checked", true);
        $('#INPUT_TEXT_APP_PROMOTION').show();
        $('#INPUT_COLOR_APP_PROMOTION').show();
        $('#INPUT_TEXT_COLOR_APP_PROMOTION').show();
        $('#INPUT_BUTTON_COLOR_APP_PROMOTION').show();
    } else {
        $('#PRESTAPP_CUSTOM_APP_PROMOTION').prop("checked", false);
        $('#INPUT_TEXT_APP_PROMOTION').hide();
        $('#INPUT_COLOR_APP_PROMOTION').hide();
        $('#INPUT_TEXT_COLOR_APP_PROMOTION').hide();
        $('#INPUT_BUTTON_COLOR_APP_PROMOTION').hide();
    }

    $('#PRESTAPP_CUSTOM_APP_PROMOTION').click(function () {
        if ($('#PRESTAPP_CUSTOM_APP_PROMOTION').is(":checked")) {
            $('#PRESTAPP_CUSTOM_APP_PROMOTION').attr("value", "1");
            $('#INPUT_TEXT_APP_PROMOTION').show();
            $('#INPUT_COLOR_APP_PROMOTION').show();
            $('#INPUT_TEXT_COLOR_APP_PROMOTION').show();
            $('#INPUT_BUTTON_COLOR_APP_PROMOTION').show();
        } else {
            $('#PRESTAPP_CUSTOM_APP_PROMOTION').attr("value", "0");
            $('#INPUT_TEXT_APP_PROMOTION').hide();
            $('#INPUT_COLOR_APP_PROMOTION').hide();
            $('#INPUT_TEXT_COLOR_APP_PROMOTION').hide();
            $('#INPUT_BUTTON_COLOR_APP_PROMOTION').hide();
        }
    });

    $('#custom_form_app_promotion').submit(function (e) {
        if ($.trim($("#PRESTAPP_CUSTOM_APP_PROMOTION_TEXT").val()).length === 0 && $('#PRESTAPP_CUSTOM_APP_PROMOTION').is(":checked")) {
            alert('Vous avez coché la case mais aucun texte n\'est présent. Veuillez insérer du texte dans la zone prévue à cet effet.');
            e.preventDefault();
        }
    });
});
