{*/**
  * NOTICE OF LICENSE.
  *
  * This source file is subject to a commercial license from Aquil'App.
  * Use, copy, modification or distribution of this source file without written
  * license agreement from the SARL is strictly forbidden.
  * In order to obtain a license, please contact us: contact@prestapp.eu
  * ...........................................................................
  * INFORMATION SUR LA LICENCE D'UTILISATION
  *
  * L'utilisation de ce fichier source est soumise a une licence commerciale
  * concedee par la societe Aquil'App.
  * Toute utilisation, reproduction, modification ou distribution du present
  * fichier source sans contrat de licence ecrit de la part de la Aquil'App est
  * expressement interdite.
  * Pour obtenir une licence, veuillez contacter Aquil'App a l'adresse: contact@prestapp.eu
  * ...........................................................................
  *
  * @author    Maxime Léon <maxime.leon@prestapp.eu>
  * @copyright Copyright (c) 2017 - 2019 Aquil'App 2 Rue D'espalion 44800 Saint-Herblain France
  * @license   Commercial license
  * Support by mail  :  contact@prestapp.eu
  */
  *}

<div class="row">  
  <div class="col-sm-4">
    <div class="panel">
      <div class="panel-heading">
        <i class="icon-th-list"></i> {l s='Requirements' mod='prestapp'}
      </div>

      <div class="form-group">
        <label>
          {l s='PrestApp\'s module version' mod='prestapp'}
        </label>
        <p>{$MODULE_VERSION|escape:'htmlall':'UTF-8'}</p>
      </div>

      <div class="form-group">
        <label>
          {l s='PHP version' mod='prestapp'}
        </label>
        <p>{l s='Required' mod='prestapp'} : 5.6 {l s='or higher' mod='prestapp'}</p>
        <p>{l s='Yours' mod='prestapp'} : {$PHP_VERSION|escape:'htmlall':'UTF-8'}
          {if isset($STATUS["php"])}
            <i class="icon-times" style="color: red;"></i>
          {else}
            <i class="icon-check" style="color: green;"></i>
          {/if}
        </p>
      </div>


      <div class="form-group">
        <label>
          {l s='PrestaShop version' mod='prestapp'}
        </label>
        <p>{l s='Required' mod='prestapp'} : 1.5.6.3 {l s='or higher' mod='prestapp'}</p>
        <p>{l s='Yours' mod='prestapp'} : {$PRESTASHOP_VERSION|escape:'htmlall':'UTF-8'}
          {if isset($STATUS["prestashop"])}
            <i class="icon-times" style="color: red;"></i>
          {else}
            <i class="icon-check" style="color: green;"></i>
          {/if}
        </p>
      </div>
      
      <div class="form-group">
        <label>
          {l s='Server requirements' mod='prestapp'}
        </label>
        {if isset($STATUS["server_software"]) && $STATUS["server_software"] === "apache"}
          <p>
            {l s='mod_rewrite' mod='prestapp'}
            {if $STATUS["mod_rewrite"]}
              <i class="icon-times" style="color: red;"></i>
            {else}
              <i class="icon-check" style="color: green;"></i>
            {/if}
          </p>
          <p>
            {l s='mod_headers' mod='prestapp'}
            {if isset($STATUS["mod_headers"])}
              <i class="icon-times" style="color: red;"></i>
            {else}
              <i class="icon-check" style="color: green;"></i>
            {/if}
          </p>
        {/if}
        <p>
          {l s='cURL' mod='prestapp'}
          {if isset($STATUS["curl"])}
            <i class="icon-times" style="color: red;"></i>
          {else}
            <i class="icon-check" style="color: green;"></i>
          {/if}
        </p>
        <br/>
        <p>
          {if isset($STATUS["response_code"]) && !$IS_ERROR}
            <div class="alert alert-danger">
              <p><strong>{l s='Sorry!' mod='prestapp'}</strong> {l s='We can not reach the module from outside.' mod='prestapp'} {l s='Please check that ' mod='prestapp'} <a href="{$API_URL|escape:'htmlall':'UTF-8'}" target="_blank">{$API_URL|escape:'htmlall':'UTF-8'}</a> {l s='returns a proper JSON response.' mod='prestapp'}</p>
            </div>
          {else if $IS_ERROR === true}
            <div class="alert alert-danger">
              <p><strong>{l s='Sorry!' mod='prestapp'}</strong> {l s='Please check all requirements' mod='prestapp'}  {l s='Please check that ' mod='prestapp'} <a href="{$API_URL|escape:'htmlall':'UTF-8'}" target="_blank">{$API_URL|escape:'htmlall':'UTF-8'}</a> {l s='returns a proper JSON response.' mod='prestapp'}</p>
            </div>
          {else if !$IS_ERROR}
            <div class="alert alert-success">
              <p><strong>{l s='Good job!' mod='prestapp'}</strong> {l s='Everything seems to be ok, you can now create your app on ' mod='prestapp'} <a href="https://webapp.prestapp.eu/#!/register" target="_blank">PrestApp</a> !</p>
            </div>
          {/if}
        </p>
        <p>
          {if isset($STATUS["server_software"]) && $STATUS["server_software"] !== "apache"}
            <p style="color: orange;">
              {l s='It seems that you do not use Apache on your server, maybe do you use Nginx or IIS ?' mod='prestapp'} <i class="icon-warning" style="color: orange;"></i>
            </p>
          {/if}
        </p>
      </div>
    </div>
  </div>
  <div class="col-sm-8">
    <ul class="nav nav-tabs" id="myTab" role="tablist">
      <li class="nav-item active">
        <a class="nav-link active" id="connect-tab" data-toggle="tab" href="#connect" role="tab" aria-controls="connect" aria-selected="true"><i class="icon-info"></i> {l s='Informations' mod='prestapp'}</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="app-options-tab" data-toggle="tab" href="#app-options" role="tab" aria-controls="app-options" aria-selected="false"><i class="icon-mobile-phone"></i> {l s='Application settings' mod='prestapp'}</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="options-tab" data-toggle="tab" href="#options" role="tab" aria-controls="options" aria-selected="false"><i class="icon-cogs"></i> {l s='PWA settings' mod='prestapp'}</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="modules-tab" data-toggle="tab" href="#modules" role="tab" aria-controls="modules" aria-selected="false"><i class="icon-cubes"></i> {l s='Modules' mod='prestapp'}</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="modules-tab" data-toggle="tab" href="#seo" role="tab" aria-controls="seo" aria-selected="false"><i class="icon-rocket"></i> {l s='SEO' mod='prestapp'}</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="modules-tab" data-toggle="tab" href="#security" role="tab" aria-controls="security" aria-selected="false"><i class="icon-lock"></i> {l s='Security' mod='prestapp'}</a>
      </li>
    </ul>
    <div class="tab-content" id="myTabContent">
      <div class="tab-pane fade active in" id="connect" role="tabpanel" aria-labelledby="home-tab">

        <div class="panel">
          <div class="alert alert-info">
            <p>
              <strong>{l s='Welcome !' mod='prestapp'}</strong>
              {l s='You\'ll find here all informations you need to connect your store with our solution. You can copy and paste this data on your PrestApp\'s dashboard.' mod='prestapp'}
            </p>
          </div>
        </div>

        <div class="panel">
          <div class="panel-heading">
            <i class="icon-user"></i>&nbsp; {l s='PrestApp account' mod='prestapp'}
          </div>
            <div class="form-group">
              <div class="alert alert-info">
                <p>
                  {l s='Choose an email to create or access your PrestApp account. An email will be sent with a link to access your account directly. If you don\'t have an account yet, one will be created automatically.' mod='prestapp'}
                </p>
              </div>
              <label>{l s='Select an email for the account' mod='prestapp'}</label><br>
              <select id="submitPrestappEmployee">
                {foreach from=$EMPLOYEES item=emp}
                  <option value="{$emp['id_employee']|escape:'htmlall':'UTF-8'}">{$emp['email']|escape:'htmlall':'UTF-8'}</option>
                {/foreach}
                <option value="other">{l s='Other' mod='prestapp'}</option>
              </select>
              <div class="row" id="employee_other_input">
                <div class="col-sm-12">
                    <input style="margin-top: 12px;" type="text" name="employee_other_input_email" id="employee_other_input_email" placeholder="{l s='Email' mod='prestapp'} *">
                </div>
                <div class="col-sm-6">
                    <input style="margin-top: 12px;" type="text" name="employee_other_input_firstname" id="employee_other_input_firstname" placeholder="{l s='Firstname' mod='prestapp'} *">
                </div>
                <div class="col-sm-6">
                    <input style="margin-top: 12px;" type="text" name="employee_other_input_lastname" id="employee_other_input_lastname" placeholder="{l s='Lastname' mod='prestapp'} *">
                </div>
              </div>
              <br>
              <input id="prestapp-api-key" type="hidden" value="{$PRESTAPP_API_KEY|escape:'htmlall':'UTF-8'}"/>
              <input type="checkbox" id="prestappCgu" name="prestappCgu">
              <label for="prestappCgu">{l s='By checking this, I agree to the Terms and Conditions of PrestApp' mod='prestapp'} - <a href="https://www.prestapp.eu/cgu/" target="_blank">{l s='Read' mod='prestapp'}</a></label><br><br>
              <button id="submitPrestappAutolog" name="submitPrestappAutolog" class="btn btn-success">
                <span id="send-mail-text">{l s='Send email' mod='prestapp'}</span>
                <i id="send-mail-icon" class="icon-spinner icon-spin"></i>
              </button>
              <div style="margin-top: 10px;" id="submitPrestappInfo" class="alert">
                <p></p>
              </div>
            </div>
        </div>

        <div class="panel">
          <div class="panel-heading">
            <i class="icon-link"></i> {l s='Connection parameters' mod='prestapp'}
          </div>

          <p>
            <div class="form-group">
              <label>{l s='HTTP Protocol' mod='prestapp'}</label><br>
              {$PRESTAPP_API_PROTOCOL|escape:'htmlall':'UTF-8'}
            </div>
          <p>
          <p>
            <div class="form-group">
              <label>{l s='Your shop URL' mod='prestapp'}</label><br>
              {$PRESTAPP_API_URL|escape:'htmlall':'UTF-8'}
            </div>
          <p>
          <p>
            <div class="form-group">
              <label>{l s='API key' mod='prestapp'}</label><br>
              {$PRESTAPP_API_KEY|escape:'htmlall':'UTF-8'}
            </div>
          <p>
          <p>
            <div class="form-group">
              <label>{l s='Secret key' mod='prestapp'}</label><br>
              {$PRESTAPP_SECRET_KEY|escape:'htmlall':'UTF-8'}
            </div>
          <p>
        </div>
      </div>

      <div class="tab-pane fade" id="modules" role="tabpanel" aria-labelledby="modules-tab">
        <div class="panel">
          <div class="alert alert-info">
            <p>
              {l s='You will find here installed modules that PrestApp supports and needs credentials or informations in order to work' mod='prestapp'}
            </p>
          </div>
        </div>

        {if $PRESTAPP_PAYPAL_ENABLED === true}
          <form id="module_form" class="defaultForm form-horizontal" method="post" enctype="multipart/form-data" novalidate="">
            <input type="hidden" name="submitPrestAppPaypal" value="1">
            <div class="panel" id="fieldset_0">

              <div class="panel-heading">
                <i class="icon-paypal"></i> {l s='Module Paypal' mod='prestapp'}
              </div>

              <div class="alert alert-info">{l s='Please refer to our documentation to know how to get these credentials' mod='prestapp'}</div>
              {if $PRESTAPP_PAYPAL_ERROR === true}
                <div class="alert alert-danger">
                    {l s='An error occured: please check the fields are not empty' mod='prestapp'}
                </div>
              {/if}
              {if $PRESTAPP_PAYPAL_ERROR === false}
                <div class="alert alert-success">
                    {l s='Configuration has been saved' mod='prestapp'}
                </div>
              {/if}
              <div class="form-wrapper">
                <div class="form-group">
                  <label class="control-label col-lg-3"> {l s='PayPal Secret key' mod='prestapp'}</label>
                  <div class="col-lg-9">
                    <input type="text" name="PRESTAPP_PAYPAL_SECRET_KEY" id="PRESTAPP_PAYPAL_SECRET_KEY" value="{$PRESTAPP_PAYPAL_SECRET_KEY|escape:'htmlall':'UTF-8'}" class="fixed-width-xl">
                  </div>
                </div>
              </div>

              <div class="form-wrapper">
                <div class="form-group">
                  <label class="control-label col-lg-3"> {l s='PayPal Client ID' mod='prestapp'}</label>
                  <div class="col-lg-9">
                    <input type="text" name="PRESTAPP_PAYPAL_CLIENT_ID" id="PRESTAPP_PAYPAL_CLIENT_ID" value="{$PRESTAPP_PAYPAL_CLIENT_ID|escape:'htmlall':'UTF-8'}" class="fixed-width-xl">
                  </div>
                </div>
              </div>

              <div class="panel-footer">
                <button type="submit" value="1" name="submitPrestAppPaypal" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='prestapp'}</button>
              </div>
            </div>
          </form>
        {/if}
      </div>

      <div class="tab-pane fade" id="app-options" role="tabpanel" aria-labelledby="app-options-tab">
        <div class="panel">
          <div class="alert alert-info">
            <p>
              {l s='Some useful features for you' mod='prestapp'}
            </p>
          </div>
        </div>
        <div class="panel">
          <div class="panel-heading">
            {l s='Banner' mod='prestapp'}
          </div>

          <form id="custom_form_app_promotion" class="defaultForm form-horizontal" method="post" enctype="multipart/form-data" novalidate="">
            <input type="hidden" name="submitAppPromotion" value="1">

            <div class="form-check">
              <input class="form-check-input" type="checkbox" name="PRESTAPP_CUSTOM_APP_PROMOTION" id="PRESTAPP_CUSTOM_APP_PROMOTION" value="{$PRESTAPP_CUSTOM_APP_PROMOTION|escape:'htmlall':'UTF-8'}">
              <label class="form-check-label" for="PRESTAPP_CUSTOM_APP_PROMOTION"> {l s='Activate the application promotion banner on mobile devices' mod='prestapp'}</label>
            </div>

            <div class="form-wrapper">
              <div class="form-group" id="INPUT_TEXT_APP_PROMOTION" style="margin-top: 15px;">
                <label> {l s='Banner text (html/css available)' mod='prestapp'}</label>
                <input type="text" name="PRESTAPP_CUSTOM_APP_PROMOTION_TEXT" id="PRESTAPP_CUSTOM_APP_PROMOTION_TEXT" value="{$PRESTAPP_CUSTOM_APP_PROMOTION_TEXT|escape:'htmlall':'UTF-8'}">
              </div>
            </div>

            <div class="form-wrapper">
              <div class="form-group row" id="INPUT_COLOR_APP_PROMOTION">
                <label> {l s='Banner background color' mod='prestapp'} : </label>
                <input type="color" data-hex="true" class="color mColorPickerInput mColorPicker" name="PRESTAPP_CUSTOM_APP_PROMOTION_COLOR" id="PRESTAPP_CUSTOM_APP_PROMOTION_COLOR" value="{$PRESTAPP_CUSTOM_APP_PROMOTION_COLOR|escape:'htmlall':'UTF-8'}">
              </div>
            </div>

            <div class="form-wrapper">
              <div class="form-group" id="INPUT_TEXT_COLOR_APP_PROMOTION">
                <label> {l s='Banner text color' mod='prestapp'} : </label>
                <input type="color" data-hex="true" class="color mColorPickerInput mColorPicker" name="PRESTAPP_CUSTOM_APP_PROMOTION_TEXT_COLOR" id="PRESTAPP_CUSTOM_APP_PROMOTION_TEXT_COLOR" value="{$PRESTAPP_CUSTOM_APP_PROMOTION_TEXT_COLOR|escape:'htmlall':'UTF-8'}">
              </div>
            </div>

            <div class="form-wrapper">
              <div class="form-group" id="INPUT_BUTTON_COLOR_APP_PROMOTION">
                <label> {l s='Banner close button color' mod='prestapp'} : </label>
                <input type="color" data-hex="true" class="color mColorPickerInput mColorPicker" name="PRESTAPP_CUSTOM_APP_PROMOTION_BUTTON_COLOR" id="PRESTAPP_CUSTOM_APP_PROMOTION_BUTTON_COLOR" value="{$PRESTAPP_CUSTOM_APP_PROMOTION_BUTTON_COLOR|escape:'htmlall':'UTF-8'}">
              </div>
            </div>

            <div class="panel-footer">
              <button type="submit" value="1" name="submitPrestAppCustomAppPromotion" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='prestapp'}</button>
            </div>
          </form>
        </div>
      </div>

      <div class="tab-pane fade" id="options" role="tabpanel" aria-labelledby="options-tab">

        <div class="panel">
          <div class="alert alert-info">
            <p>
              {l s='Some useful features for you' mod='prestapp'}
            </p>
          </div>
        </div>


        <div class="panel">
          <div class="panel-heading">
            {l s='GDPR compliance' mod='prestapp'}
          </div>

          <form id="custom_form" class="defaultForm form-horizontal" method="post" enctype="multipart/form-data" novalidate="">
            <input type="hidden" name="submitGDPR" value="1">

            <div class="form-check">
              <input class="form-check-input" type="checkbox" name="PRESTAPP_CUSTOM_GDPR" id="PRESTAPP_CUSTOM_GDPR" value="{$PRESTAPP_CUSTOM_GDPR|escape:'htmlall':'UTF-8'}">
              <label class="form-check-label" for="PRESTAPP_CUSTOM_GDPR"> {l s='Activate the GDPR banner' mod='prestapp'}</label>
            </div>

            <div class="form-wrapper">
              <div class="form-group" id="INPUT_TEXT_GDPR">
                <label class="control-label"> {l s='Banner text' mod='prestapp'}</label>
                <div class="row">
                  <div class="col-sm-11">
                    <input type="text" name="PRESTAPP_CUSTOM_GDPR_TEXT" id="PRESTAPP_CUSTOM_GDPR_TEXT" value="{$LANGUAGES[0]['gdpr_text']|escape:'htmlall':'UTF-8'}">
                  </div>
                  <div class="col-sm-1">
                    <select id="submitPrestappGdprLanguage">
                      {foreach from=$LANGUAGES item=language}
                        <option value="{$language['id_lang']|escape:'htmlall':'UTF-8'}">{$language['iso_code']|escape:'htmlall':'UTF-8'}</option>
                      {/foreach}
                    </select>
                    {foreach from=$LANGUAGES item=language}
                      <input type="hidden" name="gdpr_language[{$language['id_lang']|escape:'htmlall':'UTF-8'}]" value="{$language['gdpr_text']|escape:'htmlall':'UTF-8'}">
                    {/foreach}
                    <input type="hidden" name="gdpr_full_languages" value='{$GDPR_LANGUAGES_ENCODED|json_encode}'>
                  </div>
                </div>
              </div>
            </div>
            <div class="panel-footer">
              <button type="submit" value="1" name="submitPrestAppCustom" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='prestapp'}</button>
            </div>
          </form>
        </div>

        <div class="panel">
          <div class="panel-heading">
            {l s='PWA redirection settings' mod='prestapp'}
          </div>

          <form id="pwa_redirect_form" class="defaultForm form-horizontal" method="post" enctype="multipart/form-data" novalidate="">
            <input type="hidden" name="submitRedirectionSettings" value="1">

            <div class="form-wrapper">
              <div class="form-group">
                <label class="control-label"> {l s='Full PWA url' mod='prestapp'}</label>
                <input type="text" name="PRESTAPP_PWA_URL" id="PRESTAPP_PWA_URL" value="{$PRESTAPP_PWA_URL|escape:'htmlall':'UTF-8'}">
              </div>
            </div>

            <div class="form-check">
              <input class="form-check-input" type="radio" name="PRESTAPP_REDIRECTION" id="noredirection" value="NO_REDIRECTION" {if $PRESTAPP_REDIRECTION === "NO_REDIRECTION"} checked{/if}>
              <label class="form-check-label" for="noredirection">
                {l s='No redirection' mod='prestapp'}
              </label>
            </div>
            <div class="form-check disabled">
              <input class="form-check-input" type="radio" name="PRESTAPP_REDIRECTION" id="alwaysredirect" value="ALWAYS_REDIRECT" {if $PRESTAPP_REDIRECTION === "ALWAYS_REDIRECT"} checked{/if}>
              <label class="form-check-label" for="alwaysredirect">
                {l s='Always redirect mobile traffic' mod='prestapp'}
              </label>
            </div>

            <div class="form-check">
              <input class="form-check-input" type="radio" name="PRESTAPP_REDIRECTION" id="askpopin" value="ASK_POPIN"  {if $PRESTAPP_REDIRECTION === "ASK_POPIN"} checked{/if} disabled>
              <label class="form-check-label" for="askpopin">
                <span class="text-muted">{l s='Ask with a popin' mod='prestapp'} {l s='(soon)' mod='prestapp'}</span>
              </label>
            </div>

            <div class="panel-footer">
              <button type="submit" value="1" name="submitPrestAppCustom" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='prestapp'}</button>
            </div>
          </form>
        </div>

      </div>

      <div class="tab-pane fade" id="seo" role="tabpanel" aria-labelledby="seo-tab">
        <div class="panel">
        <div class="panel-heading">
            {l s='Headers' mod='prestapp'}
          </div>

           <div class="alert alert-warning">
            <p>
              {l s='Check this checkboxes only if you understand the risks.' mod='prestapp'}
              {l s='It might impact your SEO.' mod='prestapp'}
            </p>
          </div>

          <form id="headers_form" class="defaultForm form-horizontal" method="post" enctype="multipart/form-data" novalidate="">
            <div class="form-check">
              <input class="form-check-input" type="checkbox" name="PRESTAPP_REDIRECTBOTS" id="PRESTAPP_REDIRECTBOTS" {($PRESTAPP_REDIRECTBOTS|escape:'htmlall':'UTF-8') ? "checked" : ""} value="{$PRESTAPP_REDIRECTBOTS|escape:'htmlall':'UTF-8'}">
              <label class="form-check-label" for="PRESTAPP_REDIRECTBOTS"> {l s='Redirect crawlers to the PWA' mod='prestapp'}</label>
            </div>

            <div class="form-check">
              <input class="form-check-input" type="checkbox" name="PRESTAPP_NOINDEX" id="PRESTAPP_NOINDEX" {($PRESTAPP_NOINDEX|escape:'htmlall':'UTF-8') ? "checked" : ""} value="{$PRESTAPP_NOINDEX|escape:'htmlall':'UTF-8'}">
              <label class="form-check-label" for="PRESTAPP_NOINDEX"> {l s='Add "noindex" header on redirection' mod='prestapp'}</label>
            </div>

            <div class="panel-footer">
              <button type="submit" value="1" name="submitSeo" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='prestapp'}</button>
            </div>
          </form>
        </div>
      </div>

      <div class="tab-pane fade" id="security" role="tabpanel" aria-labelledby="security-tab">
        <div class="panel">
        <div class="panel-heading">
            {l s='Headers' mod='prestapp'}
          </div>

           <div class="alert alert-info">
            <p>
              {l s='If your server is already sending the header "Access-Control-Allow-Origin : *" check this box in order to avoid duplication.' mod='prestapp'}
            </p>
          </div>

          <form id="headers_form" class="defaultForm form-horizontal" method="post" enctype="multipart/form-data" novalidate="">
            <div class="form-check">
              <input class="form-check-input" type="checkbox" name="PRESTAPP_HEADER_ALLOW_ORIGIN" id="PRESTAPP_HEADER_ALLOW_ORIGIN" {($PRESTAPP_HEADER_ALLOW_ORIGIN|escape:'htmlall':'UTF-8') ? "checked" : ""} value="{$PRESTAPP_HEADER_ALLOW_ORIGIN|escape:'htmlall':'UTF-8'}">
              <label class="form-check-label" for="PRESTAPP_HEADER_ALLOW_ORIGIN"> {l s='Don\'t send header : "Access-Control-Allow-Origin : *"' mod='prestapp'}</label>
            </div>
            <div class="panel-footer">
              <button type="submit" value="1" name="submitSecurityHeaders" class="btn btn-default pull-right"><i class="process-icon-save"></i> {l s='Save' mod='prestapp'}</button>
            </div>
          </form>
        </div>
      </div>

    </div>
  </div>
</div>

<script>

  var lang = {
    ok: "{l s='Your account has successfully been created. An email with the details has been sent to the selected email address.' mod='prestapp'}",
    exists: "{l s='An account has been found with the selected email address. An email with the details has been sent to the selected email address.' mod='prestapp'}",
    missing: "{l s='Some elements are missing' mod='prestapp'}",
    error: "{l s='An unknown error occured' mod='prestapp'}",
    email : "{l s='Email' mod='prestapp'}",
    firstName : "{l s='Firstname' mod='prestapp'}",
    lastName : "{l s='Lastname' mod='prestapp'}",
    address : "{l s='Address' mod='prestapp'}",
    postalCode : "{l s='Postcode' mod='prestapp'}",
    city : "{l s='City' mod='prestapp'}",
    country : "{l s='Country' mod='prestapp'}",
    phone1 : "{l s='Phone' mod='prestapp'}"
  }

</script>