{if isset($css_files)}
    {foreach from=$css_files key=css_uri item=media}
        {if $css_uri == 'lteIE9'}
            <!--[if lte IE 9]>
            {foreach from=$css_files[$css_uri] key=css_uriie9 item=mediaie9}
            <link rel="stylesheet" href="{$css_uriie9|escape:'html':'UTF-8'}" type="text/css" media="{$mediaie9|escape:'html':'UTF-8'}" />
            {/foreach}
            <![endif]-->
        {else}
            <link rel="stylesheet" href="{$css_uri|escape:'html':'UTF-8'}" type="text/css" media="{$media|escape:'html':'UTF-8'}" />
        {/if}
    {/foreach}
{/if}

{if isset($js_defer) && !$js_defer && isset($new_js_files) && isset($js_def)}
    {$js_def}
    {foreach from=$new_js_files item=js_uri}
        <script type="text/javascript" src="{$js_uri|escape:'html':'UTF-8'}"></script>
    {/foreach}
{/if}
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1">
</head>
<body id="{$page_id}">

    <div id="ps_checkout-notification-container">
        <div id="ps_checkout-canceled" class="alert alert-warning-custom" style="display:none;">
            <img src="{$shoppingCartWarningPath|escape:'htmlall':'UTF-8'}" alt="{$warningTranslatedText|escape:'htmlall':'UTF-8'}">
            <strong>{l s='Processing payment canceled, please choose another payment method or try again.' mod='ps_checkout'}</strong>
        </div>
        <div id="ps_checkout-error" class="alert alert-danger-custom" style="display:none;">
            <img src="{$shoppingCartWarningPath|escape:'htmlall':'UTF-8'}" alt="{$warningTranslatedText|escape:'htmlall':'UTF-8'}">
            <strong><span id="ps_checkout-error-text"></span></strong>
        </div>
    </div>

    <div id="HOOK_PAYMENT">
        <div id="ps_checkout-loader" class="express-checkout-block mb-2">
            <div class="express-checkout-block-wrapper">
                <p class="express-checkout-spinner-text">
                    Chargement
                </p>
                <div class="express-checkout-spinner">
                    <img src="{$spinnerPath|escape:'htmlall':'UTF-8'}" alt="{$loaderTranslatedText|escape:'htmlall':'UTF-8'}">
                </div>
            </div>
        </div>
        <section id="ps_checkout-displayPayment">
            <div class="payment-options">
                <div id="payment-option-{$fundingSource}-container" class="payment-option ps_checkout-payment-option row" style="display: none;">
                    <div class="col-xs-12">
                        <div id="payment-option-{$fundingSource}" class="payment_module closed" data-module-name="ps_checkout-{$fundingSource}" style="display: none;">
                        <a class="ps_checkout-{$fundingSource}" href="#">
                            {$paymentOptionName}
                        </a>
                        </div>
                        <div class="payment_module open">
                        <a>
                            {if $fundingSource == 'card' && $isHostedFieldsAvailable}
                            <form id="ps_checkout-hosted-fields-form" class="form-horizontal">
                                <div class="form-group">
                                <label class="form-control-label" for="ps_checkout-hosted-fields-card-number">{l s='Card number' mod='ps_checkout'}</label>
                                <div id="ps_checkout-hosted-fields-card-number" class="form-control">
                                    <div id="card-image">
                                    <img class="defautl-credit-card" src="{$modulePath}views/img/credit_card.png" alt="">
                                    </div>
                                </div>
                                </div>
                                <div class="row">
                                <div class="form-group col-xs-6">
                                    <label class="form-control-label" for="ps_checkout-hosted-fields-card-expiration-date">{l s='Expiry date' mod='ps_checkout'}</label>
                                    <div id="ps_checkout-hosted-fields-card-expiration-date" class="form-control"></div>
                                </div>
                                <div class="form-group col-xs-6">
                                    <label class="form-control-label" for="ps_checkout-hosted-fields-card-cvv">{l s='CVC' mod='ps_checkout'}</label>
                                    <div id="ps_checkout-hosted-fields-card-cvv" class="form-control"></div>
                                </div>
                                </div>

                                <div id="payment-confirmation" class="submit hidden" style="display: none;">
                                <button id="hosted-fields-validation" class="button btn btn-default button-medium" type="submit">
                                    <span>{$translations['I confirm my order']}<i class="icon-chevron-right right"></i></span>
                                </button>
                                </div>
                            </form>
                            <script>
                                function cvvEnter() {
                                    var popup = document.getElementById("cvv-popup");
                                    popup.classList.add("show");
                                }
                                function cvvLeave() {
                                    var popup = document.getElementById("cvv-popup");
                                    popup.classList.remove("show");
                                }
                            </script>
							<style>
								.payment_module {
									padding: 12px 24px;
								}
							</style>
                            {/if}
                            <div class="js-payment-ps_checkout-card">
                                <div class="ps_checkout-button" data-funding-source="{$fundingSource}"></div>
                            </div>
                        </a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</body>